# Part 0: 시작하며 - AI 서비스 개발, 첫걸음을 떼다

안녕하세요! "AI Lecture" 시리즈에 오신 것을 환영합니다.

이 시리즈는 프로그래밍의 기초를 다지고, AI 모델을 활용하여 실제 동작하는 API 서버를 구축하는 여정을 함께합니다. 막연하게 느껴졌던 'AI 서비스 개발'을 구체적인 코드로 구현하며 자신감을 얻는 것을 목표로 합니다.

## 🏁 최종 목표: 나만의 AI API 서버 구축

우리는 이 시리즈를 통해 **"붓꽃 품종을 예측하는 AI 모델이 내장된 API 서버"** 를 완성하게 될 것입니다. 사용자가 API에 붓꽃의 꽃잎, 꽃받침 정보를 보내면, 서버는 AI 모델을 통해 어떤 품종인지 예측하여 응답해주는 서비스입니다.

이 과정을 통해 여러분은 다음과 같은 결과물을 얻게 됩니다.

- Python 프로그래밍에 대한 깊이 있는 이해
- 실제 작동하는 FastAPI 기반의 API 서버
- AI 모델을 서빙하고 활용하는 방법에 대한 실전 경험
- Docker를 이용한 배포 및 운영의 기초 지식

## 🙋‍♂️ 대상 독자

이 강의는 다음과 같은 분들을 위해 만들어졌습니다.

- 프로그래밍은 처음이지만 AI 서비스를 직접 만들어보고 싶은 입문자
- Python 기본 문법은 알지만, 실제 프로젝트 경험이 부족한 학생 또는 주니어 개발자
- AI 모델을 개발했지만, 이를 어떻게 서비스로 만들어야 할지 막막한 연구자

## 🗺️ 전체 커리큘럼 맵

우리는 다음과 같은 순서로 학습을 진행합니다.

```mermaid
graph TD
    A[Part 0: 시작하며] --> B[Part 1: AI 개발 환경 준비];
    B --> C[Part 2: Python 핵심 문법];
    C --> D[Part 3: Python 자료구조];
    D --> E[Part 4: 객체 지향 프로그래밍];
    E --> F[Part 5: AI 핵심 라이브러리];
    F --> G[Part 6: FastAPI로 모델 서빙하기];
    G --> H[Part 7: 프로덕션 수준의 API 만들기];
    H --> I[Part 8: 전문가로 가는 길];

    subgraph "기초 다지기"
        B
        C
        D
        E
    end

    subgraph "AI 모델 활용 및 API 개발"
        F
        G
        H
    end

    subgraph "심화"
        I
    end
```

## 🎓 필요한 선수 지식

본격적인 학습에 앞서, 특별한 선수 지식은 필요하지 않습니다. 모든 과정을 하나하나 차근차근 설명합니다. 다만, 컴퓨터를 다루는 데 기본적인 지식이 있고, 배우고자 하는 열정과 꾸준함이 있다면 충분합니다!

---

자, 이제 모든 준비가 끝났습니다. 다음 파트에서는 본격적인 개발을 위해 필요한 프로그램들을 설치하고 환경을 설정해보겠습니다.

**➡️ 다음 시간: [Part 1: AI 개발 환경 준비](part_1_ai_development_environment.md)** 